Set Own Cell
curl --request PUT \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/time-log/cells \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"date": "2023-12-25",
"hours": "<string>",
"expectedVersion": 4503599627370495
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/time-log/cells"
payload = {
"projectId": "<string>",
"date": "2023-12-25",
"hours": "<string>",
"expectedVersion": 4503599627370495
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
date: '2023-12-25',
hours: '<string>',
expectedVersion: 4503599627370495
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/time-log/cells', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entry": {
"id": "<string>",
"projectId": "<string>",
"phase": "pre_design",
"date": "<string>",
"hours": "<string>",
"note": "<string>",
"billable": true,
"version": 123
}
}Time Log
Set Own Cell
PUT
/
v1
/
workspaces
/
{workspaceId}
/
time-log
/
cells
Set Own Cell
Path Parameters
Body
application/json
Available options:
pre_design, programming, schematic_design, design_development, construction_documents, bidding_negotiation, procurement, construction_administration, installation, closeout, general Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Pattern:
^\d{1,2}(?:\.\d{1,2})?$Required range:
0 < x <= 9007199254740991Response
200 - application/json
Show child attributes
Show child attributes
⌘I